import React from 'react';
import { OCRBlock, OCRBlockRenderProps, OCRPageRenderProps } from '../../ReactOCRRenderer.types';
declare const OCRPdfRenderer: ({ file, ocrData, customTextRenderComponent, customPageRenderComponent, size, showOnlyResultPages }: {
    file: string;
    ocrData: {
        [key: number]: OCRBlock[];
    };
    customTextRenderComponent?: ((props: OCRBlockRenderProps) => JSX.Element) | undefined;
    customPageRenderComponent?: ((props: OCRPageRenderProps) => JSX.Element) | undefined;
    size?: {
        width: number;
    } | undefined;
    showOnlyResultPages?: boolean | undefined;
}) => React.JSX.Element;
export default OCRPdfRenderer;
